org.eclipse.rdf4j.http.server.repository.config

## Class ConfigView

- java.lang.Object
- - org.eclipse.rdf4j.http.server.repository.config.ConfigView

- All Implemented Interfaces:
    org.springframework.web.servlet.View

      public class ConfigView
      extends Object
      implements org.springframework.web.servlet.View

  View used to export a repository config. Renders the statements as RDF using a serialization specified using a parameter or Accept header.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_DATA_KEY`
    `static String` | `FORMAT_KEY`
    `static String` | `HEADERS_ONLY`

    - ### Fields inherited from interface org.springframework.web.servlet.View

      `PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()`
    `static ConfigView` | `getInstance()`
    `void` | `render(Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_DATA_KEY

          public static final String CONFIG_DATA_KEY

      See Also:
        Constant Field Values

    - #### FORMAT_KEY

          public static final String FORMAT_KEY

      See Also:
        Constant Field Values

    - #### HEADERS_ONLY

          public static final String HEADERS_ONLY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static ConfigView getInstance()

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `org.springframework.web.servlet.View`

    - #### render

          public void render(Map model,
                             javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws Exception

      Specified by:
        `render` in interface `org.springframework.web.servlet.View`
      Throws:
        `Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.